org.apache.uima.collection

## Interface CasConsumer

- All Superinterfaces:
    CasObjectProcessor, CasProcessor, ConfigurableResource, Resource
  All Known Implementing Classes:
    AnalysisEngineServiceAdapter, CasConsumer_ImplBase

      public interface CasConsumer
      extends ConfigurableResource, CasObjectProcessor

  Any component that operates on analysis results produced by a UIMA analysis engine. CAS Consumers read analysis results from the CAS but may not modify the CAS. (They are read-only CAS Processors.)

  CAS Consumers may be registered with a `CollectionProcessingManager` (CPM). During collection processing, the CPM will pass each CAS from its Analysis Engine to each CAS consumer's process method. The CAS consumer can extract information from the CAS and do anything it wants with that information; commonly CAS consumers will build aggregate data structures such as search engine indexes or glossaries.

  `CasConsumer`s are also UIMA `ConfigurableResource`s, and can be instantiated from descriptors. See `XMLParser.parseCasConsumerDescription(XMLInputSource)` and `UIMAFramework.produceCasConsumer(ResourceSpecifier,Map)` for more information.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.uima.resource.Resource

      `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_CONFIG_PARAM_SETTINGS, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isReadOnly()` Must return true.

    - ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

      `getConfigParameterValue, getConfigParameterValue, reconfigure, setConfigParameterValue, setConfigParameterValue`

    - ### Methods inherited from interface org.apache.uima.resource.Resource

      `destroy, getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, initialize, setLogger`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasObjectProcessor

      `processCas, processCas, typeSystemInit`

    - ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasProcessor

      `batchProcessComplete, collectionProcessComplete, getProcessingResourceMetaData, isStateless`

- - ### Method Detail

    - #### isReadOnly

          boolean isReadOnly()

      Must return true. By contract, CAS Consumers must be read only.
      Specified by:
        `isReadOnly` in interface `CasProcessor`
      Returns:
        true if this CAS processor does not modify the CAS, false if it does.
      See Also:
        `CasProcessor.isReadOnly()`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.